com.sun.grid.jgdi.configuration

## Class SchedConfImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.SchedConfImpl

- All Implemented Interfaces:
    GEObject, SchedConf, java.io.Serializable, java.lang.Cloneable

      public class SchedConfImpl
      extends GEObjectImpl
      implements SchedConf

  Java representation of the cull object SC_Type defined in sge_all_listsL.template

  Warning: The SchedConfImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedConfImpl()` Create a new instance of SchedConfImpl.
    `SchedConfImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getAlgorithm()` Get the value of the algorithm attribute.
    `double` | `getCompensationFactor()` Get the value of the compensationFactor attribute.
    `java.lang.String` | `getDefaultDuration()` Get the value of the defaultDuration attribute.
    `double` | `getDefaultUsageWeight()` Get the default value of the attribute usageWeight.
    `int` | `getFlushFinishSec()` Get the value of the flushFinishSec attribute.
    `int` | `getFlushSubmitSec()` Get the value of the flushSubmitSec attribute.
    `java.lang.String` | `getHalflifeDecayList()` Get the value of the halflifeDecayList attribute.
    `int` | `getHalftime()` Get the value of the halftime attribute.
    `ComplexEntry` | `getJobLoadAdjustments(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getJobLoadAdjustmentsCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getJobLoadAdjustmentsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getLoadAdjustmentDecayTime()` Get the value of the loadAdjustmentDecayTime attribute.
    `java.lang.String` | `getLoadFormula()` Get the value of the loadFormula attribute.
    `int` | `getMaxFunctionalJobsToSchedule()` Get the value of the maxFunctionalJobsToSchedule attribute.
    `int` | `getMaxPendingTasksPerJob()` Get the value of the maxPendingTasksPerJob attribute.
    `int` | `getMaxReservation()` Get the value of the maxReservation attribute.
    `int` | `getMaxujobs()` Get the value of the maxujobs attribute.
    `java.lang.String` | `getParams()` Get the value of the params attribute.
    `java.lang.String` | `getPolicyHierarchy()` Get the value of the policyHierarchy attribute.
    `int` | `getQueueSortMethod()` Get the value of the queueSortMethod attribute.
    `java.lang.String` | `getReprioritizeInterval()` Get the value of the reprioritizeInterval attribute.
    `java.lang.String` | `getScheddJobInfo()` Get the value of the scheddJobInfo attribute.
    `java.lang.String` | `getScheduleInterval()` Get the value of the scheduleInterval attribute.
    `double` | `getUsageWeight(java.lang.String key)` Get the usageWeight attribute for a key.
    `int` | `getUsageWeightCount()` Get the number of keys which have the attribute usageWeight set.
    `java.util.Set<java.lang.String>` | `getUsageWeightKeys()` Get the set of keys which have the attribute usageWeight set.
    `double` | `getWeightDeadline()` Get the value of the weightDeadline attribute.
    `double` | `getWeightDepartment()` Get the value of the weightDepartment attribute.
    `double` | `getWeightJob()` Get the value of the weightJob attribute.
    `double` | `getWeightPriority()` Get the value of the weightPriority attribute.
    `double` | `getWeightProject()` Get the value of the weightProject attribute.
    `double` | `getWeightTicket()` Get the value of the weightTicket attribute.
    `int` | `getWeightTicketsFunctional()` Get the value of the weightTicketsFunctional attribute.
    `int` | `getWeightTicketsOverride()` Get the value of the weightTicketsOverride attribute.
    `int` | `getWeightTicketsShare()` Get the value of the weightTicketsShare attribute.
    `double` | `getWeightUrgency()` Get the value of the weightUrgency attribute.
    `double` | `getWeightUser()` Get the value of the weightUser attribute.
    `double` | `getWeightWaitingTime()` Get the value of the weightWaitingTime attribute.
    `boolean` | `isReportPjobTickets()` Get the value of the reportPjobTickets attribute.
    `boolean` | `isSetAlgorithm()` Determine if the algorithm attribute is set
    `boolean` | `isSetCompensationFactor()` Determine if the compensationFactor attribute is set
    `boolean` | `isSetDefaultDuration()` Determine if the defaultDuration attribute is set
    `boolean` | `isSetFlushFinishSec()` Determine if the flushFinishSec attribute is set
    `boolean` | `isSetFlushSubmitSec()` Determine if the flushSubmitSec attribute is set
    `boolean` | `isSetHalflifeDecayList()` Determine if the halflifeDecayList attribute is set
    `boolean` | `isSetHalftime()` Determine if the halftime attribute is set
    `boolean` | `isSetJobLoadAdjustments()` Determine if the jobLoadAdjustments attribute is set
    `boolean` | `isSetLoadAdjustmentDecayTime()` Determine if the loadAdjustmentDecayTime attribute is set
    `boolean` | `isSetLoadFormula()` Determine if the loadFormula attribute is set
    `boolean` | `isSetMaxFunctionalJobsToSchedule()` Determine if the maxFunctionalJobsToSchedule attribute is set
    `boolean` | `isSetMaxPendingTasksPerJob()` Determine if the maxPendingTasksPerJob attribute is set
    `boolean` | `isSetMaxReservation()` Determine if the maxReservation attribute is set
    `boolean` | `isSetMaxujobs()` Determine if the maxujobs attribute is set
    `boolean` | `isSetParams()` Determine if the params attribute is set
    `boolean` | `isSetPolicyHierarchy()` Determine if the policyHierarchy attribute is set
    `boolean` | `isSetQueueSortMethod()` Determine if the queueSortMethod attribute is set
    `boolean` | `isSetReportPjobTickets()` Determine if the reportPjobTickets attribute is set
    `boolean` | `isSetReprioritizeInterval()` Determine if the reprioritizeInterval attribute is set
    `boolean` | `isSetScheddJobInfo()` Determine if the scheddJobInfo attribute is set
    `boolean` | `isSetScheduleInterval()` Determine if the scheduleInterval attribute is set
    `boolean` | `isSetShareFunctionalShares()` Determine if the shareFunctionalShares attribute is set
    `boolean` | `isSetShareOverrideTickets()` Determine if the shareOverrideTickets attribute is set
    `boolean` | `isSetUsageWeight()` Determine if any usageWeight attribute is set
    `boolean` | `isSetUsageWeight(java.lang.String key)` Determine if any usageWeight attribute is for a key is set
    `boolean` | `isSetWeightDeadline()` Determine if the weightDeadline attribute is set
    `boolean` | `isSetWeightDepartment()` Determine if the weightDepartment attribute is set
    `boolean` | `isSetWeightJob()` Determine if the weightJob attribute is set
    `boolean` | `isSetWeightPriority()` Determine if the weightPriority attribute is set
    `boolean` | `isSetWeightProject()` Determine if the weightProject attribute is set
    `boolean` | `isSetWeightTicket()` Determine if the weightTicket attribute is set
    `boolean` | `isSetWeightTicketsFunctional()` Determine if the weightTicketsFunctional attribute is set
    `boolean` | `isSetWeightTicketsOverride()` Determine if the weightTicketsOverride attribute is set
    `boolean` | `isSetWeightTicketsShare()` Determine if the weightTicketsShare attribute is set
    `boolean` | `isSetWeightUrgency()` Determine if the weightUrgency attribute is set
    `boolean` | `isSetWeightUser()` Determine if the weightUser attribute is set
    `boolean` | `isSetWeightWaitingTime()` Determine if the weightWaitingTime attribute is set
    `boolean` | `isShareFunctionalShares()` Get the value of the shareFunctionalShares attribute.
    `boolean` | `isShareOverrideTickets()` Get the value of the shareOverrideTickets attribute.
    `void` | `putUsageWeight(java.lang.String key, double value)` Put the attribute usageWeight for a key.
    `void` | `removeAllJobLoadAdjustments()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllUsageWeight()` Remove the attribute usageWeight for all keys.
    `boolean` | `removeJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeJobLoadAdjustments(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `java.lang.Double` | `removeUsageWeight(java.lang.String key)` remove the attribute usageWeight for a key.
    `void` | `setAlgorithm(java.lang.String aAlgorithm)` Set the algorithm attribute.
    `void` | `setCompensationFactor(double aCompensationFactor)` Set the compensationFactor attribute.
    `void` | `setDefaultDuration(java.lang.String aDefaultDuration)` Set the defaultDuration attribute.
    `void` | `setFlushFinishSec(int aFlushFinishSec)` Set the flushFinishSec attribute.
    `void` | `setFlushSubmitSec(int aFlushSubmitSec)` Set the flushSubmitSec attribute.
    `void` | `setHalflifeDecayList(java.lang.String aHalflifeDecayList)` Set the halflifeDecayList attribute.
    `void` | `setHalftime(int aHalftime)` Set the halftime attribute.
    `void` | `setJobLoadAdjustments(int index, ComplexEntry ajobLoadAdjustments)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setLoadAdjustmentDecayTime(java.lang.String aLoadAdjustmentDecayTime)` Set the loadAdjustmentDecayTime attribute.
    `void` | `setLoadFormula(java.lang.String aLoadFormula)` Set the loadFormula attribute.
    `void` | `setMaxFunctionalJobsToSchedule(int aMaxFunctionalJobsToSchedule)` Set the maxFunctionalJobsToSchedule attribute.
    `void` | `setMaxPendingTasksPerJob(int aMaxPendingTasksPerJob)` Set the maxPendingTasksPerJob attribute.
    `void` | `setMaxReservation(int aMaxReservation)` Set the maxReservation attribute.
    `void` | `setMaxujobs(int aMaxujobs)` Set the maxujobs attribute.
    `void` | `setParams(java.lang.String aParams)` Set the params attribute.
    `void` | `setPolicyHierarchy(java.lang.String aPolicyHierarchy)` Set the policyHierarchy attribute.
    `void` | `setQueueSortMethod(int aQueueSortMethod)` Set the queueSortMethod attribute.
    `void` | `setReportPjobTickets(boolean aReportPjobTickets)` Set the reportPjobTickets attribute.
    `void` | `setReprioritizeInterval(java.lang.String aReprioritizeInterval)` Set the reprioritizeInterval attribute.
    `void` | `setScheddJobInfo(java.lang.String aScheddJobInfo)` Set the scheddJobInfo attribute.
    `void` | `setScheduleInterval(java.lang.String aScheduleInterval)` Set the scheduleInterval attribute.
    `void` | `setShareFunctionalShares(boolean aShareFunctionalShares)` Set the shareFunctionalShares attribute.
    `void` | `setShareOverrideTickets(boolean aShareOverrideTickets)` Set the shareOverrideTickets attribute.
    `void` | `setWeightDeadline(double aWeightDeadline)` Set the weightDeadline attribute.
    `void` | `setWeightDepartment(double aWeightDepartment)` Set the weightDepartment attribute.
    `void` | `setWeightJob(double aWeightJob)` Set the weightJob attribute.
    `void` | `setWeightPriority(double aWeightPriority)` Set the weightPriority attribute.
    `void` | `setWeightProject(double aWeightProject)` Set the weightProject attribute.
    `void` | `setWeightTicket(double aWeightTicket)` Set the weightTicket attribute.
    `void` | `setWeightTicketsFunctional(int aWeightTicketsFunctional)` Set the weightTicketsFunctional attribute.
    `void` | `setWeightTicketsOverride(int aWeightTicketsOverride)` Set the weightTicketsOverride attribute.
    `void` | `setWeightTicketsShare(int aWeightTicketsShare)` Set the weightTicketsShare attribute.
    `void` | `setWeightUrgency(double aWeightUrgency)` Set the weightUrgency attribute.
    `void` | `setWeightUser(double aWeightUser)` Set the weightUser attribute.
    `void` | `setWeightWaitingTime(double aWeightWaitingTime)` Set the weightWaitingTime attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### SchedConfImpl

          public SchedConfImpl()

      Create a new instance of SchedConfImpl. The new instance will not be initialized with the default values.

    - #### SchedConfImpl

          public SchedConfImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetAlgorithm

          public boolean isSetAlgorithm()

      Determine if the algorithm attribute is set
      Specified by:
        `isSetAlgorithm` in interface `SchedConf`
      Returns:
        `true` if the algorithm attribute is set

    - #### setAlgorithm

          public void setAlgorithm(java.lang.String aAlgorithm)

      Set the algorithm attribute.
      Specified by:
        `setAlgorithm` in interface `SchedConf`
      Parameters:
        `aAlgorithm` - the new value for the algorithm attribute

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Get the value of the algorithm attribute.
      Specified by:
        `getAlgorithm` in interface `SchedConf`
      Returns:
        the value of the algorithm attribute

    - #### isSetScheduleInterval

          public boolean isSetScheduleInterval()

      Determine if the scheduleInterval attribute is set
      Specified by:
        `isSetScheduleInterval` in interface `SchedConf`
      Returns:
        `true` if the scheduleInterval attribute is set

    - #### setScheduleInterval

          public void setScheduleInterval(java.lang.String aScheduleInterval)

      Set the scheduleInterval attribute.
      Specified by:
        `setScheduleInterval` in interface `SchedConf`
      Parameters:
        `aScheduleInterval` - the new value for the scheduleInterval attribute

    - #### getScheduleInterval

          public java.lang.String getScheduleInterval()

      Get the value of the scheduleInterval attribute.
      Specified by:
        `getScheduleInterval` in interface `SchedConf`
      Returns:
        the value of the scheduleInterval attribute

    - #### isSetMaxujobs

          public boolean isSetMaxujobs()

      Determine if the maxujobs attribute is set
      Specified by:
        `isSetMaxujobs` in interface `SchedConf`
      Returns:
        `true` if the maxujobs attribute is set

    - #### setMaxujobs

          public void setMaxujobs(int aMaxujobs)

      Set the maxujobs attribute.
      Specified by:
        `setMaxujobs` in interface `SchedConf`
      Parameters:
        `aMaxujobs` - the new value for the maxujobs attribute

    - #### getMaxujobs

          public int getMaxujobs()

      Get the value of the maxujobs attribute.
      Specified by:
        `getMaxujobs` in interface `SchedConf`
      Returns:
        the value of the maxujobs attribute

    - #### isSetQueueSortMethod

          public boolean isSetQueueSortMethod()

      Determine if the queueSortMethod attribute is set
      Specified by:
        `isSetQueueSortMethod` in interface `SchedConf`
      Returns:
        `true` if the queueSortMethod attribute is set

    - #### setQueueSortMethod

          public void setQueueSortMethod(int aQueueSortMethod)

      Set the queueSortMethod attribute.
      Specified by:
        `setQueueSortMethod` in interface `SchedConf`
      Parameters:
        `aQueueSortMethod` - the new value for the queueSortMethod attribute

    - #### getQueueSortMethod

          public int getQueueSortMethod()

      Get the value of the queueSortMethod attribute.
      Specified by:
        `getQueueSortMethod` in interface `SchedConf`
      Returns:
        the value of the queueSortMethod attribute

    - #### addJobLoadAdjustments

          public void addJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `addJobLoadAdjustments` in interface `SchedConf`
      Parameters:
        `ajobLoadAdjustments` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setJobLoadAdjustments

          public void setJobLoadAdjustments(int index,
                                            ComplexEntry ajobLoadAdjustments)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `setJobLoadAdjustments` in interface `SchedConf`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `ajobLoadAdjustments` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllJobLoadAdjustments

          public void removeAllJobLoadAdjustments()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `removeAllJobLoadAdjustments` in interface `SchedConf`

    - #### removeJobLoadAdjustments

          public ComplexEntry removeJobLoadAdjustments(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `removeJobLoadAdjustments` in interface `SchedConf`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeJobLoadAdjustments

          public boolean removeJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `removeJobLoadAdjustments` in interface `SchedConf`
      Parameters:
        `ajobLoadAdjustments` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getJobLoadAdjustmentsList

          public java.util.List<ComplexEntry> getJobLoadAdjustmentsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getJobLoadAdjustmentsList` in interface `SchedConf`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getJobLoadAdjustmentsCount

          public int getJobLoadAdjustmentsCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getJobLoadAdjustmentsCount` in interface `SchedConf`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getJobLoadAdjustments

          public ComplexEntry getJobLoadAdjustments(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getJobLoadAdjustments` in interface `SchedConf`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetJobLoadAdjustments

          public boolean isSetJobLoadAdjustments()

      Determine if the jobLoadAdjustments attribute is set
      Specified by:
        `isSetJobLoadAdjustments` in interface `SchedConf`
      Returns:
        `true` if the jobLoadAdjustments attribute is set

    - #### isSetLoadAdjustmentDecayTime

          public boolean isSetLoadAdjustmentDecayTime()

      Determine if the loadAdjustmentDecayTime attribute is set
      Specified by:
        `isSetLoadAdjustmentDecayTime` in interface `SchedConf`
      Returns:
        `true` if the loadAdjustmentDecayTime attribute is set

    - #### setLoadAdjustmentDecayTime

          public void setLoadAdjustmentDecayTime(java.lang.String aLoadAdjustmentDecayTime)

      Set the loadAdjustmentDecayTime attribute.
      Specified by:
        `setLoadAdjustmentDecayTime` in interface `SchedConf`
      Parameters:
        `aLoadAdjustmentDecayTime` - the new value for the loadAdjustmentDecayTime attribute

    - #### getLoadAdjustmentDecayTime

          public java.lang.String getLoadAdjustmentDecayTime()

      Get the value of the loadAdjustmentDecayTime attribute.
      Specified by:
        `getLoadAdjustmentDecayTime` in interface `SchedConf`
      Returns:
        the value of the loadAdjustmentDecayTime attribute

    - #### isSetLoadFormula

          public boolean isSetLoadFormula()

      Determine if the loadFormula attribute is set
      Specified by:
        `isSetLoadFormula` in interface `SchedConf`
      Returns:
        `true` if the loadFormula attribute is set

    - #### setLoadFormula

          public void setLoadFormula(java.lang.String aLoadFormula)

      Set the loadFormula attribute.
      Specified by:
        `setLoadFormula` in interface `SchedConf`
      Parameters:
        `aLoadFormula` - the new value for the loadFormula attribute

    - #### getLoadFormula

          public java.lang.String getLoadFormula()

      Get the value of the loadFormula attribute.
      Specified by:
        `getLoadFormula` in interface `SchedConf`
      Returns:
        the value of the loadFormula attribute

    - #### isSetScheddJobInfo

          public boolean isSetScheddJobInfo()

      Determine if the scheddJobInfo attribute is set
      Specified by:
        `isSetScheddJobInfo` in interface `SchedConf`
      Returns:
        `true` if the scheddJobInfo attribute is set

    - #### setScheddJobInfo

          public void setScheddJobInfo(java.lang.String aScheddJobInfo)

      Set the scheddJobInfo attribute.
      Specified by:
        `setScheddJobInfo` in interface `SchedConf`
      Parameters:
        `aScheddJobInfo` - the new value for the scheddJobInfo attribute

    - #### getScheddJobInfo

          public java.lang.String getScheddJobInfo()

      Get the value of the scheddJobInfo attribute.
      Specified by:
        `getScheddJobInfo` in interface `SchedConf`
      Returns:
        the value of the scheddJobInfo attribute

    - #### isSetFlushSubmitSec

          public boolean isSetFlushSubmitSec()

      Determine if the flushSubmitSec attribute is set
      Specified by:
        `isSetFlushSubmitSec` in interface `SchedConf`
      Returns:
        `true` if the flushSubmitSec attribute is set

    - #### setFlushSubmitSec

          public void setFlushSubmitSec(int aFlushSubmitSec)

      Set the flushSubmitSec attribute.
      Specified by:
        `setFlushSubmitSec` in interface `SchedConf`
      Parameters:
        `aFlushSubmitSec` - the new value for the flushSubmitSec attribute

    - #### getFlushSubmitSec

          public int getFlushSubmitSec()

      Get the value of the flushSubmitSec attribute.
      Specified by:
        `getFlushSubmitSec` in interface `SchedConf`
      Returns:
        the value of the flushSubmitSec attribute

    - #### isSetFlushFinishSec

          public boolean isSetFlushFinishSec()

      Determine if the flushFinishSec attribute is set
      Specified by:
        `isSetFlushFinishSec` in interface `SchedConf`
      Returns:
        `true` if the flushFinishSec attribute is set

    - #### setFlushFinishSec

          public void setFlushFinishSec(int aFlushFinishSec)

      Set the flushFinishSec attribute.
      Specified by:
        `setFlushFinishSec` in interface `SchedConf`
      Parameters:
        `aFlushFinishSec` - the new value for the flushFinishSec attribute

    - #### getFlushFinishSec

          public int getFlushFinishSec()

      Get the value of the flushFinishSec attribute.
      Specified by:
        `getFlushFinishSec` in interface `SchedConf`
      Returns:
        the value of the flushFinishSec attribute

    - #### isSetParams

          public boolean isSetParams()

      Determine if the params attribute is set
      Specified by:
        `isSetParams` in interface `SchedConf`
      Returns:
        `true` if the params attribute is set

    - #### setParams

          public void setParams(java.lang.String aParams)

      Set the params attribute.
      Specified by:
        `setParams` in interface `SchedConf`
      Parameters:
        `aParams` - the new value for the params attribute

    - #### getParams

          public java.lang.String getParams()

      Get the value of the params attribute.
      Specified by:
        `getParams` in interface `SchedConf`
      Returns:
        the value of the params attribute

    - #### isSetReprioritizeInterval

          public boolean isSetReprioritizeInterval()

      Determine if the reprioritizeInterval attribute is set
      Specified by:
        `isSetReprioritizeInterval` in interface `SchedConf`
      Returns:
        `true` if the reprioritizeInterval attribute is set

    - #### setReprioritizeInterval

          public void setReprioritizeInterval(java.lang.String aReprioritizeInterval)

      Set the reprioritizeInterval attribute.
      Specified by:
        `setReprioritizeInterval` in interface `SchedConf`
      Parameters:
        `aReprioritizeInterval` - the new value for the reprioritizeInterval attribute

    - #### getReprioritizeInterval

          public java.lang.String getReprioritizeInterval()

      Get the value of the reprioritizeInterval attribute.
      Specified by:
        `getReprioritizeInterval` in interface `SchedConf`
      Returns:
        the value of the reprioritizeInterval attribute

    - #### isSetHalftime

          public boolean isSetHalftime()

      Determine if the halftime attribute is set
      Specified by:
        `isSetHalftime` in interface `SchedConf`
      Returns:
        `true` if the halftime attribute is set

    - #### setHalftime

          public void setHalftime(int aHalftime)

      Set the halftime attribute.
      Specified by:
        `setHalftime` in interface `SchedConf`
      Parameters:
        `aHalftime` - the new value for the halftime attribute

    - #### getHalftime

          public int getHalftime()

      Get the value of the halftime attribute.
      Specified by:
        `getHalftime` in interface `SchedConf`
      Returns:
        the value of the halftime attribute

    - #### putUsageWeight

          public void putUsageWeight(java.lang.String key,
                                     double value)

      Put the attribute usageWeight for a key.

      Specified by:
        `putUsageWeight` in interface `SchedConf`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultUsageWeight

          public double getDefaultUsageWeight()

      Get the default value of the attribute usageWeight.

      Specified by:
        `getDefaultUsageWeight` in interface `SchedConf`
      Returns:
        the default value of the attribute usageWeight
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsageWeight

          public double getUsageWeight(java.lang.String key)

      Get the usageWeight attribute for a key.

      Specified by:
        `getUsageWeight` in interface `SchedConf`
      Parameters:
        `key` - the key
      Returns:
        the usageWeight attribute for the host or the default value of usageWeight

    - #### removeUsageWeight

          public java.lang.Double removeUsageWeight(java.lang.String key)

      remove the attribute usageWeight for a key.

      Specified by:
        `removeUsageWeight` in interface `SchedConf`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllUsageWeight

          public void removeAllUsageWeight()

      Remove the attribute usageWeight for all keys.

      Specified by:
        `removeAllUsageWeight` in interface `SchedConf`

    - #### getUsageWeightKeys

          public java.util.Set<java.lang.String> getUsageWeightKeys()

      Get the set of keys which have the attribute usageWeight set.
      Specified by:
        `getUsageWeightKeys` in interface `SchedConf`
      Returns:
        set of keys

    - #### getUsageWeightCount

          public int getUsageWeightCount()

      Get the number of keys which have the attribute usageWeight set.
      Specified by:
        `getUsageWeightCount` in interface `SchedConf`
      Returns:
        the number of keys which have the attribute usageWeight set.

    - #### isSetUsageWeight

          public boolean isSetUsageWeight()

      Determine if any usageWeight attribute is set
      Specified by:
        `isSetUsageWeight` in interface `SchedConf`
      Returns:
        `true` if the usageWeight attribute is set

    - #### isSetUsageWeight

          public boolean isSetUsageWeight(java.lang.String key)

      Determine if any usageWeight attribute is for a key is set
      Specified by:
        `isSetUsageWeight` in interface `SchedConf`
      Parameters:
        `key` - the key
      Returns:
        `true` if the usageWeight attribute is set

    - #### isSetCompensationFactor

          public boolean isSetCompensationFactor()

      Determine if the compensationFactor attribute is set
      Specified by:
        `isSetCompensationFactor` in interface `SchedConf`
      Returns:
        `true` if the compensationFactor attribute is set

    - #### setCompensationFactor

          public void setCompensationFactor(double aCompensationFactor)

      Set the compensationFactor attribute.
      Specified by:
        `setCompensationFactor` in interface `SchedConf`
      Parameters:
        `aCompensationFactor` - the new value for the compensationFactor attribute

    - #### getCompensationFactor

          public double getCompensationFactor()

      Get the value of the compensationFactor attribute.
      Specified by:
        `getCompensationFactor` in interface `SchedConf`
      Returns:
        the value of the compensationFactor attribute

    - #### isSetWeightUser

          public boolean isSetWeightUser()

      Determine if the weightUser attribute is set
      Specified by:
        `isSetWeightUser` in interface `SchedConf`
      Returns:
        `true` if the weightUser attribute is set

    - #### setWeightUser

          public void setWeightUser(double aWeightUser)

      Set the weightUser attribute.
      Specified by:
        `setWeightUser` in interface `SchedConf`
      Parameters:
        `aWeightUser` - the new value for the weightUser attribute

    - #### getWeightUser

          public double getWeightUser()

      Get the value of the weightUser attribute.
      Specified by:
        `getWeightUser` in interface `SchedConf`
      Returns:
        the value of the weightUser attribute

    - #### isSetWeightProject

          public boolean isSetWeightProject()

      Determine if the weightProject attribute is set
      Specified by:
        `isSetWeightProject` in interface `SchedConf`
      Returns:
        `true` if the weightProject attribute is set

    - #### setWeightProject

          public void setWeightProject(double aWeightProject)

      Set the weightProject attribute.
      Specified by:
        `setWeightProject` in interface `SchedConf`
      Parameters:
        `aWeightProject` - the new value for the weightProject attribute

    - #### getWeightProject

          public double getWeightProject()

      Get the value of the weightProject attribute.
      Specified by:
        `getWeightProject` in interface `SchedConf`
      Returns:
        the value of the weightProject attribute

    - #### isSetWeightDepartment

          public boolean isSetWeightDepartment()

      Determine if the weightDepartment attribute is set
      Specified by:
        `isSetWeightDepartment` in interface `SchedConf`
      Returns:
        `true` if the weightDepartment attribute is set

    - #### setWeightDepartment

          public void setWeightDepartment(double aWeightDepartment)

      Set the weightDepartment attribute.
      Specified by:
        `setWeightDepartment` in interface `SchedConf`
      Parameters:
        `aWeightDepartment` - the new value for the weightDepartment attribute

    - #### getWeightDepartment

          public double getWeightDepartment()

      Get the value of the weightDepartment attribute.
      Specified by:
        `getWeightDepartment` in interface `SchedConf`
      Returns:
        the value of the weightDepartment attribute

    - #### isSetWeightJob

          public boolean isSetWeightJob()

      Determine if the weightJob attribute is set
      Specified by:
        `isSetWeightJob` in interface `SchedConf`
      Returns:
        `true` if the weightJob attribute is set

    - #### setWeightJob

          public void setWeightJob(double aWeightJob)

      Set the weightJob attribute.
      Specified by:
        `setWeightJob` in interface `SchedConf`
      Parameters:
        `aWeightJob` - the new value for the weightJob attribute

    - #### getWeightJob

          public double getWeightJob()

      Get the value of the weightJob attribute.
      Specified by:
        `getWeightJob` in interface `SchedConf`
      Returns:
        the value of the weightJob attribute

    - #### isSetWeightTicketsFunctional

          public boolean isSetWeightTicketsFunctional()

      Determine if the weightTicketsFunctional attribute is set
      Specified by:
        `isSetWeightTicketsFunctional` in interface `SchedConf`
      Returns:
        `true` if the weightTicketsFunctional attribute is set

    - #### setWeightTicketsFunctional

          public void setWeightTicketsFunctional(int aWeightTicketsFunctional)

      Set the weightTicketsFunctional attribute.
      Specified by:
        `setWeightTicketsFunctional` in interface `SchedConf`
      Parameters:
        `aWeightTicketsFunctional` - the new value for the weightTicketsFunctional attribute

    - #### getWeightTicketsFunctional

          public int getWeightTicketsFunctional()

      Get the value of the weightTicketsFunctional attribute.
      Specified by:
        `getWeightTicketsFunctional` in interface `SchedConf`
      Returns:
        the value of the weightTicketsFunctional attribute

    - #### isSetWeightTicketsShare

          public boolean isSetWeightTicketsShare()

      Determine if the weightTicketsShare attribute is set
      Specified by:
        `isSetWeightTicketsShare` in interface `SchedConf`
      Returns:
        `true` if the weightTicketsShare attribute is set

    - #### setWeightTicketsShare

          public void setWeightTicketsShare(int aWeightTicketsShare)

      Set the weightTicketsShare attribute.
      Specified by:
        `setWeightTicketsShare` in interface `SchedConf`
      Parameters:
        `aWeightTicketsShare` - the new value for the weightTicketsShare attribute

    - #### getWeightTicketsShare

          public int getWeightTicketsShare()

      Get the value of the weightTicketsShare attribute.
      Specified by:
        `getWeightTicketsShare` in interface `SchedConf`
      Returns:
        the value of the weightTicketsShare attribute

    - #### isSetWeightTicketsOverride

          public boolean isSetWeightTicketsOverride()

      Determine if the weightTicketsOverride attribute is set
      Specified by:
        `isSetWeightTicketsOverride` in interface `SchedConf`
      Returns:
        `true` if the weightTicketsOverride attribute is set

    - #### setWeightTicketsOverride

          public void setWeightTicketsOverride(int aWeightTicketsOverride)

      Set the weightTicketsOverride attribute.
      Specified by:
        `setWeightTicketsOverride` in interface `SchedConf`
      Parameters:
        `aWeightTicketsOverride` - the new value for the weightTicketsOverride attribute

    - #### getWeightTicketsOverride

          public int getWeightTicketsOverride()

      Get the value of the weightTicketsOverride attribute.
      Specified by:
        `getWeightTicketsOverride` in interface `SchedConf`
      Returns:
        the value of the weightTicketsOverride attribute

    - #### isSetShareOverrideTickets

          public boolean isSetShareOverrideTickets()

      Determine if the shareOverrideTickets attribute is set
      Specified by:
        `isSetShareOverrideTickets` in interface `SchedConf`
      Returns:
        `true` if the shareOverrideTickets attribute is set

    - #### setShareOverrideTickets

          public void setShareOverrideTickets(boolean aShareOverrideTickets)

      Set the shareOverrideTickets attribute.
      Specified by:
        `setShareOverrideTickets` in interface `SchedConf`
      Parameters:
        `aShareOverrideTickets` - the new value for the shareOverrideTickets attribute

    - #### isShareOverrideTickets

          public boolean isShareOverrideTickets()

      Get the value of the shareOverrideTickets attribute.
      Specified by:
        `isShareOverrideTickets` in interface `SchedConf`
      Returns:
        the value of the shareOverrideTickets attribute

    - #### isSetShareFunctionalShares

          public boolean isSetShareFunctionalShares()

      Determine if the shareFunctionalShares attribute is set
      Specified by:
        `isSetShareFunctionalShares` in interface `SchedConf`
      Returns:
        `true` if the shareFunctionalShares attribute is set

    - #### setShareFunctionalShares

          public void setShareFunctionalShares(boolean aShareFunctionalShares)

      Set the shareFunctionalShares attribute.
      Specified by:
        `setShareFunctionalShares` in interface `SchedConf`
      Parameters:
        `aShareFunctionalShares` - the new value for the shareFunctionalShares attribute

    - #### isShareFunctionalShares

          public boolean isShareFunctionalShares()

      Get the value of the shareFunctionalShares attribute.
      Specified by:
        `isShareFunctionalShares` in interface `SchedConf`
      Returns:
        the value of the shareFunctionalShares attribute

    - #### isSetMaxFunctionalJobsToSchedule

          public boolean isSetMaxFunctionalJobsToSchedule()

      Determine if the maxFunctionalJobsToSchedule attribute is set
      Specified by:
        `isSetMaxFunctionalJobsToSchedule` in interface `SchedConf`
      Returns:
        `true` if the maxFunctionalJobsToSchedule attribute is set

    - #### setMaxFunctionalJobsToSchedule

          public void setMaxFunctionalJobsToSchedule(int aMaxFunctionalJobsToSchedule)

      Set the maxFunctionalJobsToSchedule attribute.
      Specified by:
        `setMaxFunctionalJobsToSchedule` in interface `SchedConf`
      Parameters:
        `aMaxFunctionalJobsToSchedule` - the new value for the maxFunctionalJobsToSchedule attribute

    - #### getMaxFunctionalJobsToSchedule

          public int getMaxFunctionalJobsToSchedule()

      Get the value of the maxFunctionalJobsToSchedule attribute.
      Specified by:
        `getMaxFunctionalJobsToSchedule` in interface `SchedConf`
      Returns:
        the value of the maxFunctionalJobsToSchedule attribute

    - #### isSetReportPjobTickets

          public boolean isSetReportPjobTickets()

      Determine if the reportPjobTickets attribute is set
      Specified by:
        `isSetReportPjobTickets` in interface `SchedConf`
      Returns:
        `true` if the reportPjobTickets attribute is set

    - #### setReportPjobTickets

          public void setReportPjobTickets(boolean aReportPjobTickets)

      Set the reportPjobTickets attribute.
      Specified by:
        `setReportPjobTickets` in interface `SchedConf`
      Parameters:
        `aReportPjobTickets` - the new value for the reportPjobTickets attribute

    - #### isReportPjobTickets

          public boolean isReportPjobTickets()

      Get the value of the reportPjobTickets attribute.
      Specified by:
        `isReportPjobTickets` in interface `SchedConf`
      Returns:
        the value of the reportPjobTickets attribute

    - #### isSetMaxPendingTasksPerJob

          public boolean isSetMaxPendingTasksPerJob()

      Determine if the maxPendingTasksPerJob attribute is set
      Specified by:
        `isSetMaxPendingTasksPerJob` in interface `SchedConf`
      Returns:
        `true` if the maxPendingTasksPerJob attribute is set

    - #### setMaxPendingTasksPerJob

          public void setMaxPendingTasksPerJob(int aMaxPendingTasksPerJob)

      Set the maxPendingTasksPerJob attribute.
      Specified by:
        `setMaxPendingTasksPerJob` in interface `SchedConf`
      Parameters:
        `aMaxPendingTasksPerJob` - the new value for the maxPendingTasksPerJob attribute

    - #### getMaxPendingTasksPerJob

          public int getMaxPendingTasksPerJob()

      Get the value of the maxPendingTasksPerJob attribute.
      Specified by:
        `getMaxPendingTasksPerJob` in interface `SchedConf`
      Returns:
        the value of the maxPendingTasksPerJob attribute

    - #### isSetHalflifeDecayList

          public boolean isSetHalflifeDecayList()

      Determine if the halflifeDecayList attribute is set
      Specified by:
        `isSetHalflifeDecayList` in interface `SchedConf`
      Returns:
        `true` if the halflifeDecayList attribute is set

    - #### setHalflifeDecayList

          public void setHalflifeDecayList(java.lang.String aHalflifeDecayList)

      Set the halflifeDecayList attribute.
      Specified by:
        `setHalflifeDecayList` in interface `SchedConf`
      Parameters:
        `aHalflifeDecayList` - the new value for the halflifeDecayList attribute

    - #### getHalflifeDecayList

          public java.lang.String getHalflifeDecayList()

      Get the value of the halflifeDecayList attribute.
      Specified by:
        `getHalflifeDecayList` in interface `SchedConf`
      Returns:
        the value of the halflifeDecayList attribute

    - #### isSetPolicyHierarchy

          public boolean isSetPolicyHierarchy()

      Determine if the policyHierarchy attribute is set
      Specified by:
        `isSetPolicyHierarchy` in interface `SchedConf`
      Returns:
        `true` if the policyHierarchy attribute is set

    - #### setPolicyHierarchy

          public void setPolicyHierarchy(java.lang.String aPolicyHierarchy)

      Set the policyHierarchy attribute.
      Specified by:
        `setPolicyHierarchy` in interface `SchedConf`
      Parameters:
        `aPolicyHierarchy` - the new value for the policyHierarchy attribute

    - #### getPolicyHierarchy

          public java.lang.String getPolicyHierarchy()

      Get the value of the policyHierarchy attribute.
      Specified by:
        `getPolicyHierarchy` in interface `SchedConf`
      Returns:
        the value of the policyHierarchy attribute

    - #### isSetWeightTicket

          public boolean isSetWeightTicket()

      Determine if the weightTicket attribute is set
      Specified by:
        `isSetWeightTicket` in interface `SchedConf`
      Returns:
        `true` if the weightTicket attribute is set

    - #### setWeightTicket

          public void setWeightTicket(double aWeightTicket)

      Set the weightTicket attribute.
      Specified by:
        `setWeightTicket` in interface `SchedConf`
      Parameters:
        `aWeightTicket` - the new value for the weightTicket attribute

    - #### getWeightTicket

          public double getWeightTicket()

      Get the value of the weightTicket attribute.
      Specified by:
        `getWeightTicket` in interface `SchedConf`
      Returns:
        the value of the weightTicket attribute

    - #### isSetWeightWaitingTime

          public boolean isSetWeightWaitingTime()

      Determine if the weightWaitingTime attribute is set
      Specified by:
        `isSetWeightWaitingTime` in interface `SchedConf`
      Returns:
        `true` if the weightWaitingTime attribute is set

    - #### setWeightWaitingTime

          public void setWeightWaitingTime(double aWeightWaitingTime)

      Set the weightWaitingTime attribute.
      Specified by:
        `setWeightWaitingTime` in interface `SchedConf`
      Parameters:
        `aWeightWaitingTime` - the new value for the weightWaitingTime attribute

    - #### getWeightWaitingTime

          public double getWeightWaitingTime()

      Get the value of the weightWaitingTime attribute.
      Specified by:
        `getWeightWaitingTime` in interface `SchedConf`
      Returns:
        the value of the weightWaitingTime attribute

    - #### isSetWeightDeadline

          public boolean isSetWeightDeadline()

      Determine if the weightDeadline attribute is set
      Specified by:
        `isSetWeightDeadline` in interface `SchedConf`
      Returns:
        `true` if the weightDeadline attribute is set

    - #### setWeightDeadline

          public void setWeightDeadline(double aWeightDeadline)

      Set the weightDeadline attribute.
      Specified by:
        `setWeightDeadline` in interface `SchedConf`
      Parameters:
        `aWeightDeadline` - the new value for the weightDeadline attribute

    - #### getWeightDeadline

          public double getWeightDeadline()

      Get the value of the weightDeadline attribute.
      Specified by:
        `getWeightDeadline` in interface `SchedConf`
      Returns:
        the value of the weightDeadline attribute

    - #### isSetWeightUrgency

          public boolean isSetWeightUrgency()

      Determine if the weightUrgency attribute is set
      Specified by:
        `isSetWeightUrgency` in interface `SchedConf`
      Returns:
        `true` if the weightUrgency attribute is set

    - #### setWeightUrgency

          public void setWeightUrgency(double aWeightUrgency)

      Set the weightUrgency attribute.
      Specified by:
        `setWeightUrgency` in interface `SchedConf`
      Parameters:
        `aWeightUrgency` - the new value for the weightUrgency attribute

    - #### getWeightUrgency

          public double getWeightUrgency()

      Get the value of the weightUrgency attribute.
      Specified by:
        `getWeightUrgency` in interface `SchedConf`
      Returns:
        the value of the weightUrgency attribute

    - #### isSetWeightPriority

          public boolean isSetWeightPriority()

      Determine if the weightPriority attribute is set
      Specified by:
        `isSetWeightPriority` in interface `SchedConf`
      Returns:
        `true` if the weightPriority attribute is set

    - #### setWeightPriority

          public void setWeightPriority(double aWeightPriority)

      Set the weightPriority attribute.
      Specified by:
        `setWeightPriority` in interface `SchedConf`
      Parameters:
        `aWeightPriority` - the new value for the weightPriority attribute

    - #### getWeightPriority

          public double getWeightPriority()

      Get the value of the weightPriority attribute.
      Specified by:
        `getWeightPriority` in interface `SchedConf`
      Returns:
        the value of the weightPriority attribute

    - #### isSetMaxReservation

          public boolean isSetMaxReservation()

      Determine if the maxReservation attribute is set
      Specified by:
        `isSetMaxReservation` in interface `SchedConf`
      Returns:
        `true` if the maxReservation attribute is set

    - #### setMaxReservation

          public void setMaxReservation(int aMaxReservation)

      Set the maxReservation attribute.
      Specified by:
        `setMaxReservation` in interface `SchedConf`
      Parameters:
        `aMaxReservation` - the new value for the maxReservation attribute

    - #### getMaxReservation

          public int getMaxReservation()

      Get the value of the maxReservation attribute.
      Specified by:
        `getMaxReservation` in interface `SchedConf`
      Returns:
        the value of the maxReservation attribute

    - #### isSetDefaultDuration

          public boolean isSetDefaultDuration()

      Determine if the defaultDuration attribute is set
      Specified by:
        `isSetDefaultDuration` in interface `SchedConf`
      Returns:
        `true` if the defaultDuration attribute is set

    - #### setDefaultDuration

          public void setDefaultDuration(java.lang.String aDefaultDuration)

      Set the defaultDuration attribute.
      Specified by:
        `setDefaultDuration` in interface `SchedConf`
      Parameters:
        `aDefaultDuration` - the new value for the defaultDuration attribute

    - #### getDefaultDuration

          public java.lang.String getDefaultDuration()

      Get the value of the defaultDuration attribute.
      Specified by:
        `getDefaultDuration` in interface `SchedConf`
      Returns:
        the value of the defaultDuration attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `SchedConf`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.